Subject: [ietf-dkim] How much bogosity on the part of filter writers to cope with?

From: "Hallam-Baker, Phillip" <[email-masked]>
Date: Wed, 9 Aug 2006 12:59:22 -0700

I have been thinking about the problem of how to write instructions to filter writers that give them useful clues.
 
I suspect that it is an impossible task and we should just accept the fact that there will be stupid filters out there, not least because there are plenty of filters that are simply AI programs with adled feedback mechanisms just blindly applying broken Bayesian logic schemes.
 
The reson I say this is because we have debated endlessly how to stop someone interpreting 'always sign' in bad ways.
 
I have just been looking at a filter rule that essentially says 'junk all mail that has paypal.com in the from address'. OK you can certainly stop a lot of spam but that does not make it an acceptable or useful rule for an ISP.
 
Some people will shoot themselves in the foot no matter what we do.
 
An even larger number will hire a clueless AI bot to shoot them in the face.

Lets just accept this and move on. We are designing systems for people with a clue and Darwin can take out the rest.
 
_______________________________________________
NOTE WELL: This list operates according to 
http://mipassoc.org/dkim/ietf-list-rules.html